Google checks with the reseller if a subscription signup is authorized. Note: The domain name below should be replaced with the partner domain name with the same path.
HTTP request
POST https://paymentsresellersubscription.googleapis.com/v1/{parent=partners/*}/subscriptions:authorizeSignup
Required. A random UUID to uniquely identify the request. The idempotency key for the request. So in case of retries, requestId will be same as previous one.
Required. The reseller's authorization result for subscription signup request.
subscriptionId
string
Sets the id only if the authorization is approved. The id assigned by the partner for the authorized subscription. The subscription notification from Cloud pubsub notification message will contain the resource name with this id.
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Missing the information I need","missingTheInformationINeed","thumb-down"],["Too complicated / too many steps","tooComplicatedTooManySteps","thumb-down"],["Out of date","outOfDate","thumb-down"],["Samples / code issue","samplesCodeIssue","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2026-02-26 UTC."],[],["This content outlines a `POST` request to authorize subscription signups via the URL `https://paymentsresellersubscription.googleapis.com/v1/{parent=partners/*}/subscriptions:authorizeSignup`. The request includes a required `parent` path parameter (partner ID), a request body with `requestId` and `subscription` details, and will be a JSON format. The response body, also JSON, contains the `authorizationResult` (approved or not) and the assigned `subscriptionId` if approved. This action is to check with a reseller if the subscription can be authorized.\n"]]